﻿#pragma once

#include "../../../C++/Cinema.Interfaces.h"

// Одна библиотека может содержать сколько угодно плагинов.
// Библиотека Template в качестве примера содержит 1 плагин
#define PluginsCount 1

#define SpecTemplate L"{}"

static const TPluginDescription CINEMA_TEMPLATE_PLUGINS[PluginsCount] = { 
	{
		(wchar_t*)L"Template",
		(wchar_t*)L"Pavlov V.V",
		// дата создания (dd.MM.yyyy)
		(wchar_t*) L"22.01.2024",
		// версия	
		(wchar_t*) L"1.0",
		// краткое описание
		(wchar_t*) L"Речевой кодак стандарта AMR",
		// автор последних модификаций
		(wchar_t*)L"Pavlov V.V",
		// количество именованных входных соединений; 0 - кол-во не определено, может быть сколь угодно
		0,
		// именованные входные соединения плагина
		NULL,
	    // количество именованных выходных соединений; -1 - кол-во не определено, может быть сколь угодно
		-1,
		// именованные выходные соединения плагина
		NULL,
		// схема конфигурации; описывается если модуль может иметь простые настройки;
		// если NULL - плагин не настраиваемый или разработчик предусмотрел
		// собственный конфигуратор в виде "exe".
		(wchar_t*)SpecTemplate
  }
};

