﻿#pragma once

#include "../../../C++/Cinema.Interfaces.h"
#include "../../../C++/Cinema.Plugin.h"


class CinemaPluginTemplate: public CinemaPlugin
{
private:
	ICinema* FCinema;
	IPluginTable* FTable;
public:
	CinemaPluginTemplate(ICinema* ACinema, WCHAR* configuration);
	~CinemaPluginTemplate();
	virtual void* STDMETHODCALLTYPE CreateDataStreamProcessor(TDataStream AInputDataStream, int ANumberInput) override;
	virtual void STDMETHODCALLTYPE ProcessDataStream(void* AProcessor, byte* AData, __int64 ASize) override;
	virtual void STDMETHODCALLTYPE DestroyDataStreamProcessor(void* AProcessor) override;
	/// <summary> обновить графику плагина (таблицы и прочее что в будущем ещё может понадобится вывести) </summary>
	virtual void STDMETHODCALLTYPE RedrawView() override;

};

